/* Table of content
-----------------------------------------------
1. Comman
2. Header & Nevigation
    2.1. Fev Nav
    2.2 Alert Nav
	2.3. Menu Nav
	2.4. Info Nav
3. Container
4. Role
5. Loader
6. Footer
7. Modal
8. Buttons
9. Rating
10. Toast
11. Popover
/*--------------------------------------------------------------
1. Comman
--------------------------------------------------------------*/
/* @import url('https://fonts.googleapis.com/css?family=Open+Sans:400,600&display=swap'); */
@import url("icons.css");
@font-face{font-family:'Roboto';src:url(../fonts/Roboto-Regular.ttf);font-weight:normal;font-style:normal;font-display:block}
@font-face{font-family:'Roboto';src:url(../fonts/Roboto-Medium.ttf);font-weight:500;font-style:normal;font-display:block}
*{margin:0; padding:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}
*:before, *:after{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}
html,body{min-height:100%}
html{font-size:13px; position:relative;box-sizing:border-box;line-height:1.15;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%}
body{font-family:'Roboto', sans-serif;font-size:13px;color:#222222;background:#F0F0F0}
.mar-tp-5{margin-top:5px}
.mar-tp-10{margin-top:10px}
.mar-tp-15{margin-top:15px}
.mar-tp-45 {
    margin-top: 45px
}
.mar-tp-20{margin-top:20px}
.mar-bt-5{margin-bottom:5px}
.mar-bt-10{margin-bottom:10px}
.mar-bt-15{margin-bottom:15px}
.mar-bt-20{margin-bottom:20px}
.mar-rt-5{margin-right:5px}
.mar-rt-10{margin-right:10px}
.mar-rt-15{margin-right:15px}
.mar-rt-20{margin-right:20px}
.mar-lt-5{margin-left:5px}
.mar-lt-10{margin-left:10px}
.mar-lt-15{margin-left:15px}
.mar-lt-20{margin-left:20px}
.pad-tp-5{padding-top:5px}
.pad-tp-10{padding-top:10px}
.pad-tp-15{padding-top:15px}
.pad-tp-20{padding-top:20px}
.pad-bt-5{padding-bottom:5px}
.pad-bt-10{padding-bottom:10px}
.pad-bt-15{padding-bottom:15px}
.pad-bt-20{padding-bottom:20px}
.pad-rt-5{padding-right:5px}
.pad-rt-10{padding-right:10px}
.pad-rt-15{padding-right:15px}
.pad-rt-20{padding-right:20px}
.pad-lt-5{padding-left:5px}
.pad-lt-10{padding-left:10px}
.pad-lt-15{padding-left:15px}
.pad-lt-20{padding-left:20px}
.w-100{width:100%!important}
.h-100{height:100%!important}
.tc{text-align:center!important}
.tl{text-align:left!important}
.tr{text-align:right!important}
.dn{display:none}
.db{display:block}
.pad-tp-0{padding-top:0!important}
.pad-bt-0{padding-bottom:0!important}
.pad-rt-0{padding-right:0!important}
.pad-lt-0{padding-left:0!important}
.pad-0{padding:0!important}
.mar-tp-0{margin-top:0!important}
.mar-bt-0{margin-bottom:0!important}
.mar-rt-0{margin-right:0!important}
.mar-lt-0{margin-left:0!important}
.mar-0{margin:0!important}
a:hover{text-decoration:none}
/*--------------------------------------------------------------
2. Header & Nevigation
--------------------------------------------------------------*/
/*---- 2.1 Fev Nav ----*/ 
.navigation{background-color:#2196f3;color:#FFFFFF;padding:0; z-index:9}
.navigation .nav-item.dropdown{margin-right:1rem;transition:ease-in-out .5s;border-right:1px solid rgba(255,255,255,.3)}
.navigation .nav-item.dropdown:hover{background:#FFFFFF}
.navigation .nav-item.dropdown:hover a.fevIcon{color:#1297f4}
.navigation .dropdown a.fevIcon{color:#fff;padding:17px 1rem 16px;font-size:1.3rem;display:flex}
.navigation .dropdown a.fevIcon::after{display:none}
.navigation a.appName{color:#fff;font-size:1.5rem;margin:0}
.navigation .fevBox{width:300px;border-radius:0 0 5px 0px;border:0;margin:0;padding:0;-webkit-box-shadow:0 6px 12px rgba(0,0,0,.175);box-shadow:0 6px 12px rgba(0,0,0,.175)}
.navigation .fevBox ul{margin-bottom:0;display:flex;flex-direction:column}
.navigation .fevBox ul li{border-bottom:1px solid #f6f6f6;list-style:none}
.navigation .fevBox ul li:first-child{border-bottom:0}
.navigation .fevBox ul li:last-child{border-bottom:0}
.navigation .fevBox ul li:first-child a, .navigation .fevBox ul li:first-child a:hover{background:#0066b3;color:#fff;font-size:1.5rem;padding:5px}
.navigation .fevBox ul li a:hover{text-decoration:none;background:#fafafa}
.navigation .fevBox ul li:first-child a span{font-size:2.5rem;color:#fff}
.navigation .fevBox ul li a{display:block;width:100%;color:#525252;padding:10px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}
.navigation .fevBox ul li a span{font-size:1.4rem;color:#636363;padding-right:10px;display:inline-flex}
/*---- 2.2 Alert Nav ----*/ 
/* .alertBlock{padding:0 !important}
.alertBlock ul{display:flex;flex-direction:column;width:100%}
.alertBlock ul li{border-bottom:1px solid #d9d9d9;list-style:none;padding:5px 15px;cursor:pointer;transition:ease-in-out .2s}
.alertBlock ul li:last-child{border:0;margin-bottom:0}
.alertBlock ul li:hover{background:#fafafa}
.alertBlock ul li p{font-size:.75rem;color:#999;margin:0;padding-bottom:5px}
.alertBlock ul li h2{font-size:.9rem;color:#444}
.alertCounter{top:10px;right:8px;background:#ff8a00;font-size:10px;border-radius:50%;line-height:14px;position:absolute;width:15px;height:15px;text-align:center;color:#FFFFFF} */
/*---- 2.3 Menu Nav ----*/ 
.menuLink{width:230px;border-radius:0 0 4px 4px;padding:0;border:0;left:inherit;right:0;margin:0;box-shadow:0 6px 12px rgba(0,0,0,.175)}
.menuOuter{display:flex;flex-direction:row;padding:15px}
.menuBox{flex:1}
/*.menuBox:first-child{margin-right:15px}*/
.menuBox h2{color:#337ab7;font-size:16px;border-bottom:1px solid;padding-bottom:10px;margin:0}
.menuBox ul li{list-style:none; position:relative}
.menuBox ul li:last-child a{border-bottom:0}
.menuBox ul li a{color:#666;display:block;width:100%;border-bottom:1px solid #d9d9d9;padding:10px 0;transition:ease-in-out .3s;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}
.menuBox ul li a:hover, .menuBox ul li a:focus{color:#2196f3;text-decoration:none}
.menuBox ul li a::after{position:absolute;left:0;width:100%;height:1px;background:#2196f3;content:'';opacity:0;transition:opacity 0.3s, transform .3s;transform:translateY(-10px);bottom:0px}
.menuBox ul li a:hover::after, .menuBox ul li a:focus::after{opacity:1;transform:translateY(0px)}
/*---- 2.4 Info Nav ----*/  
.navbar-nav li{margin-right:0 !important;border-right:0 !important}
.userInf, .userInf:hover{max-width:300px;background:#1c7fce !important;display:flex;padding:5px 15px}
.userInf a{color:#FFFFFF;overflow:hidden;margin-right:20px}
.empInformation{display:inline-block}
.employeeDetails{display:flex}
.employeeDetails .empName{max-width:175px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}
.employeeDetails .empSapcode{width:72px}
.empInformation .empRole {
    font-size: 13px;
    max-width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    justify-content: flex-end;
    display: flex;
    margin-right: 13px;
}
.userInf a::after{content:"";border-top:6px dashed;border-right:6px solid transparent;border-left:6px solid transparent;right:10px;top:20px;position:absolute}
.drOuter{width:300px;border-radius:0 0 0 5px;padding:0;border:0;left:inherit;right:0px;margin:0;box-shadow:0 6px 12px rgba(0,0,0,.175)}
.userBlock{padding:15px;border-bottom:1px solid #d9d9d9;display:flex;flex-direction:column;text-align:center}
.userImg{position:relative;margin-bottom:15px}
.userImg > img{width:85px;height:85px;border-radius:50%;border:3px solid #f2f2f2}
.userImg a.iconCamera{position:absolute;top:70%;right:35%;cursor:pointer;margin:0;background:#6e6e6e;padding:6px;border-radius:50%;width:25px;height:25px;display:flex}
.userImg a::after{display:none}
.userBlock h2{font-size:16px;color:#444444;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}
.userBlock p{font-size:.9rem;color:#999;margin:0}
.noRole{border:none}.userRole{display:flex;flex-direction:column}
.userRole h2{font-size:.9rem;color:#999999;padding:15px;margin:0}
.userRole ul{max-height:200px;overflow:hidden;overflow-y:auto;margin-bottom:5px;display:flex;flex-direction:column}
.userRole ul li{list-style:none;border-left:2px solid transparent}
.userRole ul li.active{border-left:2px solid #2196f3 !important}
.userRole ul li a{color:#444444;padding:5px 15px;margin:0;font-size:1rem;text-decoration:none;transition:.3s;border-left:2px solid transparent;display:flex}
.userRole ul li.active a{color:#2196f3}
.userRole ul li a::after{display:none}
.userLogout{display:flex;background:#a3a3a3;border-bottom-left-radius:5px;justify-content:center}
.userLogout button.btn-secondary{background:#a3a3a3;font-size:1rem;padding:10px 0; margin:0}
/*--------------------------------------------------------------
3. Container
--------------------------------------------------------------*/
.hc-container{padding:51px 0px 15px;min-height:calc(100vh - 33px)}
/*--------------------------------------------------------------
4. Role
--------------------------------------------------------------*/
.all-role{display:flex; margin-top:20px}
.all-role .role{width:600px;margin:0 auto}
.role-list{width:100%;display:inline-block;padding:10px 15px;background:rgba(255,255,255,.8);border-radius:4px;box-sizing:border-box;text-align:left}
.role-list:nth-child(2), .role-list:nth-child(3){margin-top:15px}
.role h2{font-size:1.2rem;color:#222;padding-bottom:10px;font-style:italic;border-bottom:1px solid #d9d9d9;margin-bottom:10px}
.role-list li{list-style:none;padding-left:25px;position:relative;line-height:3rem;width:50%;float:left;background:url(../images/activeList.png) left center no-repeat;background-size:5%}
.role-list li a{color:#2196f3;text-decoration:none;font-weight:400}
.role-list li.pending{list-style:none;padding-left:25px;position:relative;line-height:3rem;width:50%;float:left;background:url(../images/pendingList.png) left center no-repeat;background-size:5%}
.role-list li.pending a{color:#b2b2b3;cursor:not-allowed}
/*--------------------------------------------------------------
5. Loader
--------------------------------------------------------------*/
.spiner{position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);z-index:1032;background-color:#eee;border-radius:100%;box-shadow:0 3px 8px 0 rgba(0, 0, 0, .19), 0 6px 13px 0 rgba(0, 0, 0, .24);-webkit-box-shadow:0 3px 8px 0 rgba(0, 0, 0, .19), 0 6px 13px 0 rgba(0, 0, 0, .24);width:70px;height:70px}
.mat-spinner{height:55px;min-height:55px;width:55px;border-radius:100px;border:2px transparent solid;border-top:3px #3F51B5 solid;border-left:3px #3F51B5 solid;border-bottom:3px #3F51B5 solid;animation:material-spinner 3s infinite linear;-webkit-animation:material-spinner 3s infinite linear;margin:8px auto}
@keyframes material-spinner{0%{transform:rotate(0deg);border-color:3px #3F51B5 solid;border-left:3px #3F51B5 solid;border-bottom:3px #3F51B5 solid}25%{transform:rotate(360deg);border-top:3px #F44336 solid;border-left:3px #F44336 solid;border-bottom:3px #F44336 solid}50%{transform:rotate(720deg);border-top:3px #FFC107 solid;border-left:3px #FFC107 solid;border-bottom:3px #FFC107 solid}75%{transform:rotate(1080deg);border-top:3px #4CAF50 solid;border-left:3px #4CAF50 solid;border-bottom:3px #4CAF50 solid}100%{transform:rotate(1440deg);border-top:3px #3F51B5 solid;border-left:3px #3F51B5 solid;border-bottom:3px #3F51B5 solid}}
@-webkit-keyframes material-spinner{0%{transform:rotate(0deg);-webkit-transform:rotate(0deg);border-color:3px #3F51B5 solid;border-left:3px #3F51B5 solid;border-bottom:3px #3F51B5 solid}25%{transform:rotate(360deg);-webkit-transform:rotate(360deg);border-top:3px #F44336 solid;border-left:3px #F44336 solid;border-bottom:3px #F44336 solid}50%{transform:rotate(720deg);-webkit-transform:rotate(720deg);border-top:3px #FFC107 solid;border-left:3px #FFC107 solid;border-bottom:3px #FFC107 solid}75%{transform:rotate(1080deg);-webkit-transform:rotate(1080deg);border-top:3px #4CAF50 solid;border-left:3px #4CAF50 solid;border-bottom:3px #4CAF50 solid}100%{transform:rotate(1440deg);-webkit-transform:rotate(1440deg);border-top:3px #3F51B5 solid;border-left:3px #3F51B5 solid;border-bottom:3px #3F51B5 solid}}
.loaderBG{background:rgba(0, 0, 0, .3);height:100vh;position:fixed;top:0;right:0;bottom:0;left:0;width:100%;z-index:1031}
/*--------------------------------------------------------------
6. Footer
--------------------------------------------------------------*/
.footer{background-color:#fff;box-shadow:0 0 2px #e9e9e9;padding:10px 0;display:flex;justify-content:center;width: 100%;height:35px;}
/*.footer img{visibility:hidden}*/
/*--------------------------------------------------------------
7. Modal
--------------------------------------------------------------*/ 
.modal-header{border:0}
.modal-header > h5.modal-title{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;color:#2196f3;font-size:16px;font-weight:400}
.modal-header .close span{font-size:1rem}
.modal-body{background:#f2f2f2;border-radius:0 0 .3rem .3rem}
.modal-body.common-body{background:#fff; padding-top:0; overflow:hidden;border-radius:.3rem}
/*--------------------------------------------------------------
8. Buttons
--------------------------------------------------------------*/
.commonBtn{display:flex;justify-content:center}
.btn{border:0;text-transform:uppercase;padding:10px;min-width:120px;position:relative;overflow:hidden;transition:ease-in-out .5s;border-radius:2px}
button.btn-primary{background:#2196f3;margin:0 5px}
button.btn-primary:hover{background:#1472bc}
button.btn-secondary{background:#828282;margin:0 5px}
button.btn-secondary:hover{background:#6d6b6b}
.ripple{position:absolute;background:rgba(0,0,0,.25);border-radius:100%;transform:scale(0.2);opacity:0;pointer-events:none;-webkit-animation:ripple .75s ease-out;-moz-animation:ripple .75s ease-out;animation:ripple .75s ease-out}
@-webkit-keyframes ripple{from{opacity:1}to{transform:scale(2);opacity:0}}
@-moz-keyframes ripple{from{opacity:1}to{transform:scale(2);opacity:0}}
@keyframes ripple{from{opacity:1}to{transform:scale(2);opacity:0}}
/*--------------------------------------------------------------
9. Rating
--------------------------------------------------------------*/
.rating-stars{display:flex;justify-content:space-between}
.rating-stars ul{margin:0}.rating-stars ul > li.star{display:inline-block}
.rating-stars ul > li.star > .hcl-star{font-size:2rem;color:#ccc}
.rating-stars ul > li.star.hover > .hcl-star{color:#FFCC36}
.rating-stars ul > li.star.selected > .hcl-star{color:#FF912C}
.message{font-size:16px;padding-top:3px}
textarea.feedRemark{border:0;border-radius:0;margin:15px -14px 0;width:calc(100% + 28px);resize:none;border-bottom:1px solid #d9d9d9;background:transparent}
/*--------------------------------------------------------------
10. Toast
--------------------------------------------------------------*/
.toast{position:fixed;top:2%;left:50%;transform:translate(-50%, 0%);z-index:9;max-width:600px;min-width:505px;margin-bottom:0 !important;border:0;border-radius:3px;background:#fff;font-size:13px}
.toastBody{display:flex;flex-direction:row;justify-content:flex-start;color:#222;line-height:42px;padding:0 40px 0 0;padding-right:0}
.toastBody .succIcon{text-align:center;background:#32e053;border-radius:4px 0px 0px 4px;padding:0px 11px}
.toastBody .succIcon .hcl-tick{width:25px;height:25px;background:#fff;display:inline-block;border-radius:50%;line-height:26px;font-weight:900;color:#32e053}
.toastBody p{margin:0;width:calc(100% - 75px);padding-left:10px;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}
.toastBody button.close{opacity:1;font-size:1rem;padding:0 12px}
/*---------------------------------------
11. 
*  webui popover plugin  - v1.2.17
*  A lightWeight popover plugin with jquery ,enchance the  popover plugin of bootstrap with some awesome new features. It works well with bootstrap ,but bootstrap is not necessary!
*  https://github.com/sandywalker/webui-popover
-----------------------------------------*/
.webui-popover-content{display:none}
.webui-popover-rtl{direction:rtl;text-align:right}
.webui-popover{position:absolute;top:0;left:0;z-index:9999;display:none;min-width:50px;min-height:32px;padding:1px;text-align:left;white-space:normal;background-color:#fff;background-clip:padding-box;border:1px solid #ccc;border-radius:6px;box-shadow:0 5px 10px rgba(0,0,0,0.2)}
.webui-popover.top,.webui-popover.top-left,.webui-popover.top-right{margin-top:-10px}
.webui-popover.right,.webui-popover.right-top,.webui-popover.right-bottom{margin-left:10px}
.webui-popover.bottom,.webui-popover.bottom-left,.webui-popover.bottom-right{margin-top:10px}
.webui-popover.left,.webui-popover.left-top,.webui-popover.left-bottom{margin-left:-10px}
.webui-popover.pop{transform:scale(0.8);transition:transform .15s cubic-bezier(0.3,0,0,1.5);opacity:0}
.webui-popover.pop-out{transition-property:opacity,transform;transition:.15s linear;opacity:0}
.webui-popover.fade,.webui-popover.fade-out{transition:opacity .15s linear;opacity:0}
.webui-popover.out{opacity:0}
.webui-popover.in{transform:none;opacity:1}
.webui-popover .webui-popover-content{padding:9px 14px;overflow:auto;display:block}
.webui-popover .webui-popover-content > div:first-child{width:99%}
.webui-popover-inner .close{font-family:arial;margin:8px 10px 0 0;float:right;font-size:16px;font-weight:700;line-height:16px;color:#000;text-shadow:0 1px 0 #fff;opacity:.2;text-decoration:none}
.webui-popover-inner .close:hover,.webui-popover-inner .close:focus{opacity:.5}
.webui-popover-inner .close:after{content:"\00D7";width:.8em;height:.8em;padding:4px;position:relative}
.webui-popover-title{padding:8px 14px;margin:0;font-size:14px;font-weight:700;line-height:18px;background-color:#fff;border-bottom:1px solid #f2f2f2;border-radius:5px 5px 0 0}
.webui-popover-content{padding:9px 14px;overflow:auto;display:none}
.webui-popover-inverse{background-color:#333;color:#eee}
.webui-popover-inverse .webui-popover-title{background:#333;border-bottom:1px solid #3b3b3b;color:#eee}
.webui-no-padding .webui-popover-content{padding:0}
.webui-no-padding .list-group-item{border-right:none;border-left:none}
.webui-no-padding .list-group-item:first-child{border-top:0}
.webui-no-padding .list-group-item:last-child{border-bottom:0}
.webui-popover > .webui-arrow,.webui-popover > .webui-arrow:after{position:absolute;display:block;width:0;height:0;border-color:transparent;border-style:solid}
.webui-popover > .webui-arrow{border-width:11px}
.webui-popover > .webui-arrow:after{border-width:10px;content:""}
.webui-popover.top > .webui-arrow,.webui-popover.top-right > .webui-arrow,.webui-popover.top-left > .webui-arrow{bottom:-11px;left:50%;margin-left:-11px;border-top-color:#999;border-bottom-width:0}
.webui-popover.top > .webui-arrow:after,.webui-popover.top-right > .webui-arrow:after,.webui-popover.top-left > .webui-arrow:after{content:" ";bottom:1px;margin-left:-10px;border-top-color:#fff;border-bottom-width:0}
.webui-popover.right > .webui-arrow,.webui-popover.right-top > .webui-arrow,.webui-popover.right-bottom > .webui-arrow{top:50%;left:-11px;margin-top:-11px;border-left-width:0;border-right-color:#999}
.webui-popover.right > .webui-arrow:after,.webui-popover.right-top > .webui-arrow:after,.webui-popover.right-bottom > .webui-arrow:after{content:" ";left:1px;bottom:-10px;border-left-width:0;border-right-color:#fff}
.webui-popover.bottom > .webui-arrow,.webui-popover.bottom-right > .webui-arrow,.webui-popover.bottom-left > .webui-arrow{top:-11px;left:50%;margin-left:-11px;border-bottom-color:#999;border-top-width:0}
.webui-popover.bottom > .webui-arrow:after,.webui-popover.bottom-right > .webui-arrow:after,.webui-popover.bottom-left > .webui-arrow:after{content:" ";top:1px;margin-left:-10px;border-bottom-color:#fff;border-top-width:0}
.webui-popover.left > .webui-arrow,.webui-popover.left-top > .webui-arrow,.webui-popover.left-bottom > .webui-arrow{top:50%;right:-11px;margin-top:-11px;border-right-width:0;border-left-color:#999}
.webui-popover.left > .webui-arrow:after,.webui-popover.left-top > .webui-arrow:after,.webui-popover.left-bottom > .webui-arrow:after{content:" ";right:1px;border-right-width:0;border-left-color:#fff;bottom:-10px}
.webui-popover-inverse.top > .webui-arrow,.webui-popover-inverse.top-left > .webui-arrow,.webui-popover-inverse.top-right > .webui-arrow,.webui-popover-inverse.top > .webui-arrow:after,.webui-popover-inverse.top-left > .webui-arrow:after,.webui-popover-inverse.top-right > .webui-arrow:after{border-top-color:#333}
.webui-popover-inverse.right > .webui-arrow,.webui-popover-inverse.right-top > .webui-arrow,.webui-popover-inverse.right-bottom > .webui-arrow,.webui-popover-inverse.right > .webui-arrow:after,.webui-popover-inverse.right-top > .webui-arrow:after,.webui-popover-inverse.right-bottom > .webui-arrow:after{border-right-color:#333}
.webui-popover-inverse.bottom > .webui-arrow,.webui-popover-inverse.bottom-left > .webui-arrow,.webui-popover-inverse.bottom-right > .webui-arrow,.webui-popover-inverse.bottom > .webui-arrow:after,.webui-popover-inverse.bottom-left > .webui-arrow:after,.webui-popover-inverse.bottom-right > .webui-arrow:after{border-bottom-color:#333}
.webui-popover-inverse.left > .webui-arrow,.webui-popover-inverse.left-top > .webui-arrow,.webui-popover-inverse.left-bottom > .webui-arrow,.webui-popover-inverse.left > .webui-arrow:after,.webui-popover-inverse.left-top > .webui-arrow:after,.webui-popover-inverse.left-bottom > .webui-arrow:after{border-left-color:#333}
.webui-popover i.icon-refresh:before{content:""}
.webui-popover i.icon-refresh{display:block;width:30px;height:30px;font-size:20px;top:50%;left:50%;position:absolute;margin-left:-15px;margin-right:-15px;background:url(../img/loading.gif) no-repeat}
@keyframes rotate{100%{transform:rotate(360deg)}}
.webui-popover-backdrop{background-color:rgba(0,0,0,0.65);width:100%;height:100%;position:fixed;top:0;left:0;z-index:9998}
.webui-popover .dropdown-menu{
  /* display:block; */
  position:relative;top:0;border:none;box-shadow:none;float:none}
/*---------------------------------------
12. Tooltip
-----------------------------------------*/
.tooltip{position:absolute;z-index:1070;display:block;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;font-style:normal;font-weight:400;line-height:1.42857143;line-break:auto;text-align:left;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;word-spacing:normal;word-wrap:normal;white-space:normal;font-size:12px;opacity:0}
.tooltip.in{opacity:.9}
.tooltip.top{padding:5px 0;margin-top:-3px}
.tooltip.right{padding:0 5px;margin-left:3px}
.tooltip.bottom{padding:5px 0;margin-top:3px}
.tooltip.left{padding:0 5px;margin-left:-3px}
.tooltip.top .tooltip-arrow{bottom:0;left:50%;margin-left:-5px;border-width:5px 5px 0;border-top-color:#000}
.tooltip.top-left .tooltip-arrow{right:5px;bottom:0;margin-bottom:-5px;border-width:5px 5px 0;border-top-color:#000}
.tooltip.top-right .tooltip-arrow{bottom:0;left:5px;margin-bottom:-5px;border-width:5px 5px 0;border-top-color:#000}
.tooltip.right .tooltip-arrow{top:50%;left:0;margin-top:-5px;border-width:5px 5px 5px 0;border-right-color:#000}
.tooltip.left .tooltip-arrow{top:50%;right:0;margin-top:-5px;border-width:5px 0 5px 5px;border-left-color:#000}
.tooltip.bottom .tooltip-arrow{top:0;left:50%;margin-left:-5px;border-width:0 5px 5px;border-bottom-color:#000}
.tooltip.bottom-left .tooltip-arrow{top:0;right:5px;margin-top:-5px;border-width:0 5px 5px;border-bottom-color:#000}
.tooltip.bottom-right .tooltip-arrow{top:0;left:5px;margin-top:-5px;border-width:0 5px 5px;border-bottom-color:#000}
.tooltip-inner{max-width:200px;padding:3px 8px;color:#fff;text-align:center;background-color:#000;border-radius:4px}
.tooltip-arrow{position:absolute;width:0;height:0;border-color:transparent;border-style:solid}
/*---------------------------------------
12. Tooltip ends
-----------------------------------------*/
/*!
 * Bootstrap-select v1.13.11 (https://developer.snapappointments.com/bootstrap-select)
 *
 * Copyright 2012-2019 SnapAppointments, LLC
 * Licensed under MIT (https://github.com/snapappointments/bootstrap-select/blob/master/LICENSE)
*/
@-webkit-keyframes bs-notify-fadeOut{0%{opacity:.9}100%{opacity:0}}@-o-keyframes bs-notify-fadeOut{0%{opacity:.9}100%{opacity:0}}@keyframes bs-notify-fadeOut{0%{opacity:.9}100%{opacity:0}}.bootstrap-select>select.bs-select-hidden,select.bs-select-hidden,select.selectpicker{display:none!important}.bootstrap-select{width:220px\0;vertical-align:middle}.bootstrap-select>.dropdown-toggle{position:relative;width:100%;text-align:right;white-space:nowrap;display:-webkit-inline-box;display:-webkit-inline-flex;display:-ms-inline-flexbox;display:inline-flex;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between}.bootstrap-select>.dropdown-toggle:after{margin-top:-1px}.bootstrap-select>.dropdown-toggle.bs-placeholder,.bootstrap-select>.dropdown-toggle.bs-placeholder:active,.bootstrap-select>.dropdown-toggle.bs-placeholder:focus,.bootstrap-select>.dropdown-toggle.bs-placeholder:hover{color:#999}.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-danger,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-danger:active,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-danger:focus,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-danger:hover,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-dark,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-dark:active,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-dark:focus,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-dark:hover,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-info,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-info:active,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-info:focus,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-info:hover,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-primary,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-primary:active,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-primary:focus,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-primary:hover,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-secondary,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-secondary:active,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-secondary:focus,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-secondary:hover,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-success,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-success:active,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-success:focus,.bootstrap-select>.dropdown-toggle.bs-placeholder.btn-success:hover{color:rgba(255,255,255,.5)}.bootstrap-select>select{position:absolute!important;bottom:0;left:50%;display:block!important;width:.5px!important;height:100%!important;padding:0!important;opacity:0!important;border:none;z-index:0!important}.bootstrap-select>select.mobile-device{top:0;left:0;display:block!important;width:100%!important;z-index:2!important}.bootstrap-select.is-invalid .dropdown-toggle,.error .bootstrap-select .dropdown-toggle,.has-error .bootstrap-select .dropdown-toggle,.was-validated .bootstrap-select .selectpicker:invalid+.dropdown-toggle{border-color:#b94a48}.bootstrap-select.is-valid .dropdown-toggle,.was-validated .bootstrap-select .selectpicker:valid+.dropdown-toggle{border-color:#28a745}.bootstrap-select.fit-width{width:auto!important}.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn){width:220px}.bootstrap-select .dropdown-toggle:focus,.bootstrap-select>select.mobile-device:focus+.dropdown-toggle{outline:thin dotted #333!important;outline:5px auto -webkit-focus-ring-color!important;outline-offset:-2px}.bootstrap-select.form-control{margin-bottom:0;padding:0;border:none;height:auto}:not(.input-group)>.bootstrap-select.form-control:not([class*=col-]){width:100%}.bootstrap-select.form-control.input-group-btn{float:none;z-index:auto}.form-inline .bootstrap-select,.form-inline .bootstrap-select.form-control:not([class*=col-]){width:auto}.bootstrap-select:not(.input-group-btn),.bootstrap-select[class*=col-]{float:none;display:inline-block;margin-left:0}.bootstrap-select.dropdown-menu-right,.bootstrap-select[class*=col-].dropdown-menu-right,.row .bootstrap-select[class*=col-].dropdown-menu-right{float:right}.form-group .bootstrap-select,.form-horizontal .bootstrap-select,.form-inline .bootstrap-select{margin-bottom:0}.form-group-lg .bootstrap-select.form-control,.form-group-sm .bootstrap-select.form-control{padding:0}.form-group-lg .bootstrap-select.form-control .dropdown-toggle,.form-group-sm .bootstrap-select.form-control .dropdown-toggle{height:100%;font-size:inherit;line-height:inherit;border-radius:inherit}.bootstrap-select.form-control-lg .dropdown-toggle,.bootstrap-select.form-control-sm .dropdown-toggle{font-size:inherit;line-height:inherit;border-radius:inherit}.bootstrap-select.form-control-sm .dropdown-toggle{padding:.25rem .5rem}.bootstrap-select.form-control-lg .dropdown-toggle{padding:.5rem 1rem}.form-inline .bootstrap-select .form-control{width:100%}.bootstrap-select.disabled,.bootstrap-select>.disabled{cursor:not-allowed}.bootstrap-select.disabled:focus,.bootstrap-select>.disabled:focus{outline:0!important}.bootstrap-select.bs-container{position:absolute;top:0;left:0;height:0!important;padding:0!important}.bootstrap-select.bs-container .dropdown-menu{z-index:1060}.bootstrap-select .dropdown-toggle .filter-option{position:static;top:0;left:0;float:left;height:100%;width:100%;text-align:left;overflow:hidden;-webkit-box-flex:0;-webkit-flex:0 1 auto;-ms-flex:0 1 auto;flex:0 1 auto}.bs3.bootstrap-select .dropdown-toggle .filter-option{padding-right:inherit}.input-group .bs3-has-addon.bootstrap-select .dropdown-toggle .filter-option{position:absolute;padding-top:inherit;padding-bottom:inherit;padding-left:inherit;float:none}.input-group .bs3-has-addon.bootstrap-select .dropdown-toggle .filter-option .filter-option-inner{padding-right:inherit}.bootstrap-select .dropdown-toggle .filter-option-inner-inner{overflow:hidden}.bootstrap-select .dropdown-toggle .filter-expand{width:0!important;float:left;opacity:0!important;overflow:hidden}.bootstrap-select .dropdown-toggle .caret{position:absolute;top:50%;right:12px;margin-top:-2px;vertical-align:middle}.input-group .bootstrap-select.form-control .dropdown-toggle{border-radius:inherit}.bootstrap-select[class*=col-] .dropdown-toggle{width:100%}.bootstrap-select .dropdown-menu{min-width:100%;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.bootstrap-select .dropdown-menu>.inner:focus{outline:0!important}.bootstrap-select .dropdown-menu.inner{position:static;float:none;border:0;padding:0;margin:0;border-radius:0;-webkit-box-shadow:none;box-shadow:none}.bootstrap-select .dropdown-menu li{position:relative}.bootstrap-select .dropdown-menu li.active small{color:rgba(255,255,255,.5)!important}.bootstrap-select .dropdown-menu li.disabled a{cursor:not-allowed}.bootstrap-select .dropdown-menu li a{cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.bootstrap-select .dropdown-menu li a.opt{position:relative;padding-left:2.25em}.bootstrap-select .dropdown-menu li a span.check-mark{display:none}.bootstrap-select .dropdown-menu li a span.text{display:inline-block}.bootstrap-select .dropdown-menu li small{padding-left:.5em}.bootstrap-select .dropdown-menu .notify{position:absolute;bottom:5px;width:96%;margin:0 2%;min-height:26px;padding:3px 5px;background:#f5f5f5;border:1px solid #e3e3e3;-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.05);box-shadow:inset 0 1px 1px rgba(0,0,0,.05);pointer-events:none;opacity:.9;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.bootstrap-select .dropdown-menu .notify.fadeOut{-webkit-animation:.3s linear 750ms forwards bs-notify-fadeOut;-o-animation:.3s linear 750ms forwards bs-notify-fadeOut;animation:.3s linear 750ms forwards bs-notify-fadeOut}.bootstrap-select .no-results{padding:3px;background:#f5f5f5;margin:0 5px;white-space:nowrap}.bootstrap-select.fit-width .dropdown-toggle .filter-option{position:static;display:inline;padding:0}.bootstrap-select.fit-width .dropdown-toggle .filter-option-inner,.bootstrap-select.fit-width .dropdown-toggle .filter-option-inner-inner{display:inline}.bootstrap-select.fit-width .dropdown-toggle .bs-caret:before{content:'\00a0'}.bootstrap-select.fit-width .dropdown-toggle .caret{position:static;top:auto;margin-top:-1px}.bootstrap-select.show-tick .dropdown-menu .selected span.check-mark{position:absolute;display:inline-block;right:15px;top:5px}.bootstrap-select.show-tick .dropdown-menu li a span.text{margin-right:34px}.bootstrap-select .bs-ok-default:after{content:'';display:block;width:.5em;height:1em;border-style:solid;border-width:0 .26em .26em 0;-webkit-transform:rotate(45deg);-ms-transform:rotate(45deg);-o-transform:rotate(45deg);transform:rotate(45deg)}.bootstrap-select.show-menu-arrow.open>.dropdown-toggle,.bootstrap-select.show-menu-arrow.show>.dropdown-toggle{z-index:1061}.bootstrap-select.show-menu-arrow .dropdown-toggle .filter-option:before{content:'';border-left:7px solid transparent;border-right:7px solid transparent;border-bottom:7px solid rgba(204,204,204,.2);position:absolute;bottom:-4px;left:9px;display:none}.bootstrap-select.show-menu-arrow .dropdown-toggle .filter-option:after{content:'';border-left:6px solid transparent;border-right:6px solid transparent;border-bottom:6px solid #fff;position:absolute;bottom:-4px;left:10px;display:none}.bootstrap-select.show-menu-arrow.dropup .dropdown-toggle .filter-option:before{bottom:auto;top:-4px;border-top:7px solid rgba(204,204,204,.2);border-bottom:0}.bootstrap-select.show-menu-arrow.dropup .dropdown-toggle .filter-option:after{bottom:auto;top:-4px;border-top:6px solid #fff;border-bottom:0}.bootstrap-select.show-menu-arrow.pull-right .dropdown-toggle .filter-option:before{right:12px;left:auto}.bootstrap-select.show-menu-arrow.pull-right .dropdown-toggle .filter-option:after{right:13px;left:auto}.bootstrap-select.show-menu-arrow.open>.dropdown-toggle .filter-option:after,.bootstrap-select.show-menu-arrow.open>.dropdown-toggle .filter-option:before,.bootstrap-select.show-menu-arrow.show>.dropdown-toggle .filter-option:after,.bootstrap-select.show-menu-arrow.show>.dropdown-toggle .filter-option:before{display:block}.bs-actionsbox,.bs-donebutton,.bs-searchbox{padding:4px 8px}.bs-actionsbox{width:100%;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.bs-actionsbox .btn-group button{width:50%}.bs-donebutton{float:left;width:100%;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.bs-donebutton .btn-group button{width:100%}.bs-searchbox+.bs-actionsbox{padding:0 8px 4px}.bs-searchbox .form-control{margin-bottom:0;width:100%;float:none}

/*-- Common Pages---*/
.commOuter{background:#fff}
.commonScreen{border:1px solid #e5e5e5;width:600px;padding:15px;border-radius:4px;text-align:center;position:fixed;left:50%;top:50%;transform:translate(-50%,-50%)}
.commonScreen ul{display:flex;margin:0}
.commonScreen ul li{list-style:none}
.commonScreen ul li p{display:inline-block;margin:15px 0 0;color:#0c5c7a}
.commonScreen ul li p span{font-size:.8rem;display:inline-block;color:#5e5f5f;width:100%}
.commonScreen h2{color:rgba(0,0,0,.9);font-size:1.2rem;display:block;margin:10px 0 0;opacity:.7}
.commonScreen h3{color:rgba(0,0,0,.9);font-size:.93rem;display:block;margin:15px 0;line-height:19px}
.commonScreen.downScreen{width:800px}
.downTbl{text-align:left;border:1px solid #e5e5e5}
.downTbl tr td{vertical-align:middle}
.downTbl tr td span.rl{float:right}
/*-- Common Pages---*/

.row {margin-right: 0px;margin-left: 0px;}
 .row.docrow {margin-top: 20px;}
.bgWhite {background-color: #ffffff!important}
a {color: #2196F3}
.cmnClr {color:#2196F3}
.bdrBt {border-bottom:1px solid #E0E0E0}
.modal-body {background: #ffffff;border-radius: 0 0 .3rem .3rem;}
.modal-dialog {min-height: calc(100vh - 60px);display: flex;flex-direction: column;justify-content: center;overflow: auto;}
::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: #CCCCCC!important;
  }
  ::-moz-placeholder { /* Firefox 19+ */
    color: #CCCCCC!important;
  }
  :-ms-input-placeholder { /* IE 10+ */
    color: #CCCCCC!important;
  }
  :-moz-placeholder { /* Firefox 18- */
    color: #CCCCCC!important;
  }
  .bootstrap-select>.dropdown-toggle.bs-placeholder, .bootstrap-select>.dropdown-toggle.bs-placeholder:active, .bootstrap-select>.dropdown-toggle.bs-placeholder:focus, .bootstrap-select>.dropdown-toggle.bs-placeholder:hover {
    color: #CCCCCC;
}
.form-control {border-radius: 2px;}
@media (min-width: 1200px){.container {max-width: 1180px;}}
